define({"0":{y:0,u:"../Content/P4PHP/about.html",l:-1,t:"How to use this guide | P4PHP API",i:0.0557455540355678,a:"How to use this guide This section provides  navigation tips and  information on typographical conventions, feedback options, and additional documentation. Navigation Use following controls to navigate the content in this manual: The arrow buttons   and   at the top of any page bring you to the next ..."},"1":{y:0,u:"../Content/P4PHP/chapter_php.html",l:-1,t:"P4PHP",i:0.0557455540355678,a:"Introduction P4PHP, the PHP\n      interface to the\n      Helix C/C++ API,\n      enables you to write PHP code that interacts with a Helix Core Server.\n      P4PHP\n      enables your PHP scripts to: Get\n\tHelix Server\n\tdata and forms in arrays. Edit\n\tHelix Server\n\tforms by modifying arrays. Provide ..."},"2":{y:0,u:"../Content/P4PHP/php.requirements.html",l:-1,t:"System Requirements and Release Notes",i:0.0557455540355678,a:"P4PHP\n      is supported on Windows, Linux, FreeBSD, and macOS. For system requirements, see the release notes at  https://www.perforce.com/perforce/r24.1/user/p4phpnotes.txt .  When passing arguments, make sure to omit the space between the argument and its value, such as in the value pair -u and ..."},"3":{y:0,u:"../Content/P4PHP/php.installation.html",l:-1,t:"Installing P4PHP",i:0.0557455540355678,a:"Installing P4PHP You can download\n      P4PHP\n      from the\n      Perforce\n      web site at  https://www.perforce.com/downloads/helix-core-api-php .  You must build the interface from source, as described in the release\n      notes packaged with\n      P4PHP."},"4":{y:0,u:"../Content/P4PHP/php.programming.html",l:-1,t:"Programming with P4PHP",i:0.0557455540355678,a:"The following example illustrates the basic structure of a\n      P4PHP\n      script. The example establishes a connection, issues a command, and tests\n      for errors resulting from the command: \n\u003c?php\n\n$p4 = new P4();\n$p4-\u003eport = \"1666\";\n$p4-\u003euser = \"fred\";\n$p4-\u003eclient = \"fred-ws\";\n\ntry {\n  ..."},"5":{y:0,u:"../Content/P4PHP/php.classes.html",l:-1,t:"P4PHP Classes",i:0.0615595075239397,a:"The P4 module consists of several public classes: P4 P4_Exception P4_DepotFile P4_Revision P4_Integration P4_Map P4_MergeData P4_OutputHandlerAbstract P4_Resolver The following tables provide more details about each public class. P4 Helix Server\n      client class. Handles connection and interaction ..."},"6":{y:0,u:"../Content/P4PHP/php.p4.html",l:-1,t:"Class P4",i:0.0615595075239397,a:"Description Main interface to the PHP client API. This module provides an object-oriented interface to Helix Server, the\n      Perforce\n      version control system. Data is returned in arrays and input can also\n      be supplied in these formats. Each  P4 object represents a connection to the Helix ..."},"7":{y:0,u:"../Content/P4PHP/php.p4_exception.html",l:-1,t:"Class P4_Exception",i:0.0557455540355678,a:"Description Instances of this class are raised when  P4\n      encounters an error or a warning from the server. The exception contains\n      the errors in the form of a string.  P4_Exception is\n      an extension of the standard Exception class. Class Attributes None. Static Methods None."},"8":{y:0,u:"../Content/P4PHP/php.p4_depotfile.html",l:-1,t:"Class P4_DepotFile",i:0.0615595075239397,a:"Description Utility class providing easy access to the attributes of a file in a\n      Helix Server\n      depot. Each  P4_DepotFile object contains summary\n      information about the file and an array of revisions\n      ( P4_Revision objects) of that file. Currently, only\n      the ..."},"9":{y:0,u:"../Content/P4PHP/php.p4_revision.html",l:-1,t:"Class P4_Revision",i:0.0615595075239397,a:"Description Utility class providing easy access to the revisions of\n       P4_DepotFile objects. Created by\n      P4::run_filelog(). Properties $rev-\u003eaction -\u003e string Returns the name of the action which gave rise to this revision of the\n      file. $rev-\u003echange -\u003e long Returns the change number ..."},"10":{y:0,u:"../Content/P4PHP/php.p4_integration.html",l:-1,t:"Class P4_Integration",i:0.0615595075239397,a:"Description Utility class providing easy access to the details of an integration\n      record. Created by P4::run_filelog(). Properties $integ-\u003ehow -\u003e string Returns the type of the integration record - how that record was\n      created. $integ-\u003efile -\u003e string Returns the path to the file being ..."},"11":{y:0,u:"../Content/P4PHP/php.p4_map.html",l:-1,t:"Class P4_Map",i:0.0615595075239397,a:"Description The  P4_Map class allows users to create and work\n      with\n      Helix Server\n      mappings, without requiring a connection to a Helix Server. Properties None. Constructor P4_Map::__construct( [ array ] ) -\u003e\n      P4_Map Constructs a new  P4_Map object. Static Methods P4_Map::join ( ..."},"12":{y:0,u:"../Content/P4PHP/php.p4_mergedata.html",l:-1,t:"Class P4_MergeData",i:0.0615595075239397,a:"Description Class containing the context for an individual merge during execution of\n      a  p4 resolve. Properties $md-\u003eyour_name -\u003e string Returns the name of \"your\" file in the merge. This is typically a path\n      to a file in the workspace. $md-\u003etheir_name -\u003e string Returns the name of \"their\" ..."},"13":{y:0,u:"../Content/P4PHP/php.p4_outputhandler_abstract.html",l:-1,t:"Class P4_OutputHandlerAbstract",i:0.0615595075239397,a:"Description The  P4_OutputHandlerAbstract class is a handler\n      class that provides access to streaming output from the server. After\n      defining the output handler, set  $p4-\u003ehandler to\n      an instance of a subclass of\n       P4_OutputHandlerAbstract. By default,  P4_OutputHandlerAbstract ..."},"14":{y:0,u:"../Content/P4PHP/php.p4_resolver.html",l:-1,t:"Class P4_Resolver",i:0.0615595075239397,a:"Description P4_Resolver is a class for handling resolves in\n      Helix Server. It\n      must be subclassed, to be used; subclasses can override the\n      P4::resolve() method. When P4::run_resolve() is\n      called with a  P4_Resolver object, it calls the\n      P4_Resolver::resolve() method of the ..."},"15":{y:0,u:"../Content/Shared/glossary.html",l:-1,t:"Glossary",i:0.0557455540355678,a:"Glossary"},"16":{y:0,u:"../Content/P4PHP/license.statements.html",l:-1,t:"License Statements",i:0.0557455540355678,a:"License Statements For licensing information for P4PHP and the third-party software included in this Perforce product, see the P4PHP License file . "},});